(***********************************************************************)
(*                                                                     *)
(*                             Pio (OCaml)                             *)
(*                                                                     *)
(*                    Polyglot Input/Output Library                    *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2004-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: flags.mli,v 1.2 2011-02-23 17:43:29 fclement Exp $ *)

(** The [Io] library global settings. *)

(** There are two modes for reading/writing values in the [Io] library: the
binary and ascii modes. Binary mode means that basic values are transmitted in
a pure binary format which is not human readable. Ascii mode means that values
are transmitted in plain ASCII characters, a human readable format. The binary
mode is more compact and more reliable than ascii mode (e.g. floating point
numbers could be approximated when using ascii mode, whereas in binary mode
their exact bitwise contents is written and read back with no information
loss). *)

val get_bin : unit -> bool;;
val set_bin : bool -> unit;;
(** Set or get the current value of the binary mode. *)
